Subject: Installing python-ipython breaks Gnome on Fedora.
From: Fis Trivial <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 12 Jan 2018 21:32:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* Environment
I am currently running Guix on top of Fedora 26, which comes with Gnome 3.24.2

As recommended(1), I source *~/.guix-profile/etc/profile* in *~/.bash_profile*
to make all the exported variables recognized by login shell.

* Issue
After installing python-ipython with guix, guix exported the following
variables:

	GUIX_GTK3_PATH
	PKG_CONFIG_PATH

The next time I login, Gnome was broken, displaying nothing but a black screen,
except for Owncloud client(which is based on Qt). And all the key bindings
are gone.

So, I used tty to move the `source` command from *.bash_profile* to *.bashrc*.
After that, Gnome came back and functions as usual.

* Version
$: guix --version
guix (GNU Guix) d9a38cc255d853b2694a01b5704c1daedbb56742

[1]: https://lists.gnu.org/archive/html/help-guix/2017-05/msg00072.html